## eprover 1.0.004

=== Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile (top level make file for E and its libraries)
#
# Author: Stephan Schulz
#
# Top level make file. Check Makefile.vars for system-dependend tool
# selection and compilation options. 
#
# Changes
#
# <1> Sun Jul  6 22:55:11 MET DST 1997
#     New
# <2> Mon Jan 12 14:05:24 MET 1998
#     Extended for DOC directory
# <3> Fri Mar 13 17:09:13 MET 1998
#     Extended for CLAUSES directory
#
#------------------------------------------------------------------------

.PHONY: all depend remove_links clean cleandist default_config debug_config distrib fulldistrib top links tags tools rebuild install config remake documentation E

 include Makefile.vars

# Project specific variables

PROJECT = E

LIBS     = BASICS INOUT TERMS ORDERINGS CLAUSES PROPOSITIONAL LEARN \
           ANALYSIS PCL2 HEURISTICS CONTROL
HEADERS  = $(LIBS) EXTERNAL
CODE     = $(LIBS) PROVER TEST SIMPLE_APPS EXTERNAL
PARTS    = $(CODE) DOC

all: E


# Generate dependencies

depend: 
	for subdir in $(CODE); do\
	   cd $$subdir; touch Makefile.dependencies; $(MAKE) depend; cd ..;\
	done;

# Remove all automatically generated files

remove_links:
	cd include; touch does_exist.h; rm *.h
	cd lib; touch does_exist.a; rm *.a


clean: remove_links
	for subdir in $(PARTS); do\
	   cd $$subdir; touch Makefile.dependencies;$(MAKE) clean; cd ..;\
	done;

cleandist: clean
	@touch dummy~ PROVER/dummy~
	rm *~ */*~


default_config:
	sed -e 's/CC         = kgcc/CC         = gcc/' Makefile.vars| \
	awk '/^NODEBUG/{print "NODEBUG    = -DNDEBUG -DFAST_EXIT";next}/^MEMDEBUG/{print "MEMDEBUG   = # -DCLB_MEMORY_DEBUG # -DCLB_MEMORY_DEBUG2";next}/^DEBUGGER/{print "DEBUGGER   = # -g -ggdb";next}{print}' > __tmpmake__;mv __tmpmake__ Makefile.vars

debug_config:
	cat Makefile.vars| \
	awk '/^NODEBUG/{print "NODEBUG    = # -DNDEBUG -DFAST_EXIT";next}/^MEMDEBUG/{print "MEMDEBUG   = -DCLB_MEMORY_DEBUG # -DCLB_MEMORY_DEBUG2";next}{print}' > __tmpmake__;mv __tmpmake__ Makefile.vars

# Build a distribution

distrib: cleandist default_config
	@echo "Did you think about: "
	@echo " - Changing the bibliographies to local version"
	@echo "    ??? "
	@cp etc/PROPRIETARY etc/NO_DISTRIB
	@cd ..; find $(PROJECT) -name "CVS" -print >> $(PROJECT)/etc/NO_DISTRIB;\
         $(TAR) cfX - $(PROJECT)/etc/NO_DISTRIB $(PROJECT) |$(GZIP) - -c > $(PROJECT).tgz

# Include proprietary code not part of the GPL'ed version, 
# as well as CVS subdirecctories

fulldistrib: cleandist default_config
	@echo "Warning: You are building a full archive!"
	@echo "Did you remember to increase the dev version number and commit to CVS?"
	cd ..; $(TAR) cf - $(PROJECT)|$(GZIP) - -c > $(PROJECT)_FULL.tgz

# Make all library parts

top: E

# Create symbolic links

links: remove_links
	cd include;\
	for subdir in $(HEADERS); do\
	   for file in ../$$subdir/*.h; do\
	     $(LN) $$file .;\
	   done;\
	done;
	cd lib;\
	for subdir in $(LIBS); do\
           $(LN) ../$$subdir/$$subdir.a .;\
	done;

tags: 
	etags */*.c */*.h
	cd PYTHON; make tags

tools:
	cd development_tools;$(MAKE) tools
	cd PYTHON; $(MAKE) tools

# Rebuilding from scratch

rebuild:
	echo 'Rebuilding with debug options $(DEBUGFLAGS)'	
	$(MAKE) clean
	$(MAKE) config
	$(MAKE) depend
	$(MAKE)

# Configure the whole package

config: 
	echo 'Configuring build system and tools'
	$(MAKE) links
	$(MAKE) tools
	$(MAKE) depend


# Configure and copy executables to the installation directory

# Old eproof config - I hope it now runs with /bin/sh, which is 
# guaranteed to be where it belongs. Kept as a historical reference.
# 	@echo "#!"`which bash`" -f" > tmpfile
#	@echo "" >> tmpfile
#	@echo "EXECPATH=$(EXECPATH)" >> tmpfile
#	@awk '{count++; if(count >= 4){print}}' PROVER/eproof >> tmpfile
#	@mv tmpfile PROVER/eproof


install: E
	-sh -c 'mkdir -p $(EXECPATH)'
	-sh -c 'cp PROVER/eprover $(EXECPATH)'
	-sh -c 'cp PROVER/epclextract $(EXECPATH)'
	-sh -c 'cp PROVER/eproof $(EXECPATH)'
	-sh -c 'cp  PROVER/eground $(EXECPATH)'	

# Also remake documentation

remake: config rebuild documentation

documentation:
	cd DOC; $(MAKE)

# Build the single libraries

E:
	for subdir in $(CODE); do\
	   cd $$subdir;touch Makefile.dependencies;$(MAKE);cd ..;\
	done;

=== ANALYSIS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the proof analysis part of CLIB
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Fri Jan 29 17:14:59 MET 1999
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = ANALYSIS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

ANALYSIS_LIB = can_clausestats.o can_clausestore.o can_infstate.o \
               can_treeanalyze.o  

$(LIB): $(ANALYSIS_LIB)
	$(AR) $(LIB) $(ANALYSIS_LIB)

include Makefile.dependencies

=== BASICS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for basic_lib of the CLIB library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Sun Jul  6 22:55:11 MET DST 1997
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = BASICS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the  library

BASIC_LIB = clb_error.o clb_memory.o clb_os_wrapper.o \
            clb_dstrings.o clb_verbose.o\
            clb_stringtrees.o clb_numtrees.o clb_floattrees.o clb_pstacks.o\
            clb_pqueue.o clb_dstacks.o clb_ptrees.o clb_quadtrees.o\
	    clb_objtrees.o clb_fixdarrays.o\
            clb_plist.o clb_pdarrays.o clb_ddarrays.o clb_sysdate.o \
            clb_intmap.o \
            clb_simple_stuff.o clb_partial_orderings.o

$(LIB): $(BASIC_LIB)
	$(AR) $(LIB) $(BASIC_LIB)

include Makefile.dependencies

=== CLAUSES/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for clauses part of the clib library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Fri Mar 13 17:09:13 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = CLAUSES
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

CLAUSE_LIB = ccl_evaluations.o ccl_eqn.o ccl_eqnlist.o \
             ccl_clauseinfo.o ccl_clauses.o\
	     ccl_tformulae.o ccl_formula_wrapper.o \
             ccl_tcnf.o \
             ccl_propclauses.o\
             ccl_tautologies.o ccl_clausepos.o ccl_pdtrees.o ccl_freqvectors.o \
             ccl_fcvindexing.o ccl_clausesets.o ccl_unfold_defs.o\
             ccl_clausefunc.o ccl_formulafunc.o ccl_groundconstr.o\
             ccl_grounding.o ccl_g_lithash.o \
             ccl_inferencedoc.o ccl_paramod.o ccl_factor.o ccl_eqnresolution.o\
             ccl_rewrite.o ccl_unit_simplify.o ccl_subsumption.o ccl_context_sr.o \
             ccl_def_handling.o ccl_splitting.o\
             ccl_proofstate.o

$(LIB): $(CLAUSE_LIB)
	$(AR) $(LIB) $(CLAUSE_LIB)

include Makefile.dependencies

=== CONTROL/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for CONTROL part of thew CLIB library/E Prover
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Mon Jun  8 11:09:27 MET DST 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = CONTROL
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

CONTROL_LIB = cco_simplification.o cco_factoring.o\
	      cco_eqnresolving.o cco_paramodulation.o\
	      cco_forward_contraction.o  cco_clausesplitting.o\
              cco_proofproc.o

$(LIB): $(CONTROL_LIB)
	$(AR) $(LIB) $(CONTROL_LIB)

include Makefile.dependencies

=== DOC/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the DOC directory
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Tue Jan 13 01:16:22 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = DOC
LIB     = clib.ps eprover.ps eprover.pdf

all: $(LIB)

clean:
	@touch does_exist.aux does_exist.log does_exist.dvi does_exist.ps;
	@rm *.aux *.log *.dvi *.ps;
	@echo Removed compiled files

depend:
	echo "No dependencies for LaTeX documentation"

# Services (provided by the master Makefile)

include ../Makefile.services

DOC_LIB = *.tex

$(LIB): $(DOC_LIB)
	$(LATEX) clib.tex
	$(LATEX) clib.tex
	$(LATEX) clib.tex
	$(DVIPS) -o clib.ps clib.dvi
	$(LATEX) eprover.tex
#        $(BIBTEX) eprover
	$(LATEX) eprover.tex
	$(LATEX) eprover.tex
	$(PDFLATEX) eprover.tex
	$(DVIPS) -o eprover.ps eprover.dvi

=== EXTERNAL/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for code outside the core CLIB/E hierarchy.
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Mon Apr 10 00:33:40 GMT 2000
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = CSSCPA_filter
LIB     = $(PROJECT)

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o $(PROJECT)
	@rm *.o $(PROJECT)
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

CSSCPA = CSSCPA_filter.o cex_csscpa.o \
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a

$(LIB): $(CSSCPA)
	$(LD) -o CSSCPA_filter $(CSSCPA)

include Makefile.dependencies

=== HEURISTICS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for library of learning algorithms
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Mon Feb 16 01:04:12 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = HEURISTICS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

HEURISTICS_LIB = che_wfcb.o che_wfcbadmin.o \
                 che_axiomscan.o \
		 che_clausefeatures.o che_prio_funs.o \
                 che_clausesetfeatures.o che_clauseweight.o \
                 che_refinedweight.o \
		 che_varweights.o \
		 che_funweights.o \
		 che_orientweight.o \
		 che_fifo.o che_lifo.o \
                 che_learning.o \
                 che_simweight.o che_hcb.o \
                 che_litselection.o \
	         che_proofcontrol.o \
		 che_hcbadmin.o \
		 che_heuristics.o \
                 che_fcode_featurearrays.o\
		 che_to_weightgen.o che_to_precgen.o \
		 che_to_autoselect.o


$(LIB): $(HEURISTICS_LIB)
	$(AR) $(LIB) $(HEURISTICS_LIB)

include Makefile.dependencies

=== INOUT/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for io_lib of the CLIB library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Sun Jul  6 22:55:11 MET DST 1997
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = INOUT
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

IO_LIB = cio_output.o cio_fileops.o cio_streams.o  cio_initio.o \
         cio_scanner.o \
         cio_basicparser.o cio_commandline.o \
         cio_filevars.o cio_tempfile.o cio_signals.o

$(LIB): $(IO_LIB)
	$(AR) $(LIB) $(IO_LIB)

include Makefile.dependencies

=== LEARN/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the LEARN library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Wed Apr 14 23:10:36 MET DST 1999
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = LEARN
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the  library

LEARN_LIB = cle_patterns.o cle_clauseenc.o cle_annotations.o \
	cle_annoterms.o cle_flatannoterms.o cle_numfeatures.o \
        cle_examplerep.o \
	cle_kbdesc.o cle_kbinsert.o cle_termtops.o \
        cle_indexfunctions.o cle_tsm.o cle_classification.o \
        cle_tsmio.o


$(LIB): $(LEARN_LIB)
	$(AR) $(LIB) $(LEARN_LIB)

include Makefile.dependencies

=== ORDERINGS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for ORDERINGS sublibrary.
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Thu Apr 30 03:11:31 MET DST 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = ORDERINGS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

ORDER_LIB = cto_ocb.o cto_cmpcache.o cto_lpo.o cto_kbo.o\
            cto_orderings.o 

$(LIB): $(ORDER_LIB)
	$(AR) $(LIB) $(ORDER_LIB)

include Makefile.dependencies

=== PCL2/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the PCL2 stuff
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Wed Mar 22 19:35:48 MET 2000
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = PCL2
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a
	@echo Removed compiled files

# Services (provided by the master Makefile)

include ../Makefile.services

PCL2_LIB = pcl_idents.o pcl_positions.o pcl_expressions.o pcl_steps.o \
	   pcl_protocol.o pcl_miniclauses.o pcl_ministeps.o pcl_miniprotocol.o\
           pcl_lemmas.o pcl_analysis.o pcl_propanalysis.o pcl_proofcheck.o

$(LIB): $(PCL2_LIB)
	$(AR) $(LIB) $(PCL2_LIB)

include Makefile.dependencies

## eprover 2.6+ds

=== Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile (top level make file for E and its libraries)
#
# Author: Stephan Schulz
#
# Top level make file. Check Makefile.vars for system-dependend tool
# selection and compilation options.
#
# Changes
#
# Created: Sun Jul  6 22:55:11 MET DST 1997
#
#------------------------------------------------------------------------

.PHONY: all depend remove_links clean cleandist default_config debug_config distrib fulldistrib top links tags rebuild install config remake documentation E man

include Makefile.vars

# Project specific variables

PROJECT  = E

LIBS     = CONTRIB BASICS INOUT TERMS ORDERINGS CLAUSES PROPOSITIONAL LEARN \
           PCL2 HEURISTICS CONTROL
HEADERS  = $(LIBS) EXTERNAL PROVER
CODE     = $(LIBS) SIMPLE_APPS EXTERNAL  PROVER
PARTS    = $(CODE) DOC


all: E


# Generate dependencies

depend:
	@for subdir in $(CODE); do\
		cd $$subdir; touch Makefile.dependencies; $(MAKE) depend; cd ..;\
	done;

# Remove all automatically generated files

remove_links:
	@if [ -d include ]; then\
		cd include; rm -f *.h;\
	fi;
	@if [ -d lib ]; then\
		cd lib;     rm -f *.a;\
	fi;
	@rm -f PROVER/picosat

clean: remove_links
	@for subdir in $(PARTS); do\
		cd $$subdir; touch Makefile.dependencies;$(MAKE) clean; cd ..;\
	done;

cleandist: clean
	@rm -f *~ */*~

default_config:
	./configure
	@cat Makefile.vars| \
	gawk '/^NODEBUG/{print "NODEBUG    = -DNDEBUG -DFAST_EXIT";next}/^MEMDEBUG/{print "MEMDEBUG   = # -DCLB_MEMORY_DEBUG # -DCLB_MEMORY_DEBUG2";next}/^DEBUGGER/{print "DEBUGGER   = # -g -ggdb";next}/^PROFFLAGS/{print "PROFFLAGS  = # -pg";next}{print}' > __tmpmake__;mv __tmpmake__ Makefile.vars


debug_config:
	@cat Makefile.vars| \
	gawk '/^NODEBUG/{print "NODEBUG    = # -DNDEBUG -DFAST_EXIT";next}/^MEMDEBUG/{print "MEMDEBUG   = -DCLB_MEMORY_DEBUG # -DCLB_MEMORY_DEBUG2";next}{print}' > __tmpmake__;mv __tmpmake__ Makefile.vars

commit_id:
	echo '#define ECOMMITID "'`git rev-parse HEAD`'"' > PROVER/e_gitcommit.h


# Build a distribution
distrib: default_config commit_id man documentation cleandist
	@echo "Did you think about: "
	@echo " - Changing the bibliographies to local version"
	@echo " - increasing the dev version number and committing to git?"
	@echo "    ??? "
	@echo "" > etc/NO_DISTRIB
	@cd ..; find $(PROJECT) -name ".git" -print >> $(PROJECT)/etc/NO_DISTRIB;\
		$(TAR) cfX - $(PROJECT)/etc/NO_DISTRIB $(PROJECT) |$(GZIP) - -c > $(PROJECT).tgz

# Include the GIT subdirecctories (and non-GPL files, of which there currently are none).
fulldistrib: man documentation cleandist default_config
	@echo "Warning: You are building a full archive!"
	@echo "Did you remember to increase the dev version number and commit to git?"
	@cd ..; $(TAR) cf - $(PROJECT)|$(GZIP) - -c > $(PROJECT)_FULL.tgz

# Build StarExec package. This is not supposed to be super-portable
# StarExec runs all binaries from its local bin/, so we cheat

starexec:
	echo $(STAREXECPATH)
	rm -rf $(STAREXECPATH)
	find . -name ".#*"  -exec rm {} \;
	make clean
	./configure --bindir="." --enable-ho
	make
	./configure --prefix=$(STAREXECPATH) --enable-ho
	make install

	make clean
	./configure --bindir="."
	make
	./configure --prefix=$(STAREXECPATH)
	make install

	cp etc/STAREXEC2.2/starexec_run* $(STAREXECPATH)/bin
	$(eval E_VERSION=`$$(STAREXECPATH)/bin/eprover --version | cut -d' ' -f1-2| sed -e 's/ /-/'`)
	cd $(STAREXECPATH); zip -r $(E_VERSION).zip bin man

# Make all library parts
top: E

# Create symbolic links
links: remove_links
	@mkdir -p include
	@cd include; find .. -not -path '../include/*' -name "[^.]*.h" -exec $(LN) {} \;
	@mkdir -p lib
#	@cd lib;find .. -not -path '../lib/*' -name "[^.]*.a" -exec $(LN) {} \;
	@cd lib;\
        for subdir in $(LIBS); do\
                $(LN) ../$$subdir/$$subdir.a .;\
        done;
# @cd PROVER; $(LN) $(PICOSAT)/picosat



tags:
	etags-emacs `find . \( -name "*.[ch]" -or -name "*.py" \) -and \( -not -path "*include*" -and -not -name ".#*" \)`
#ctags-exuberant -e -R .
# etags */*.c */*.h
# cd PYTHON; make ptags

# Rebuilding from scratch
rebuild:
	echo 'Rebuilding with debug options $(DEBUGFLAGS)'
	$(MAKE) clean
	$(MAKE) config
	$(MAKE)

# Configure the whole package
config:
	echo 'Configuring build system'
	$(MAKE) links
	$(MAKE) depend
	cd CONTRIB; $(MAKE) config


# Configure and copy executables to the installation directory
install:
	-sh -c 'mkdir -p $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/eprover      $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/eprover-ho   $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/epclextract  $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/e_stratpar   $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/eground      $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/e_ltb_runner $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/e_deduction_server $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/e_axfilter   $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/checkproof   $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/ekb_create   $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/ekb_delete   $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/ekb_ginsert  $(EXECPATH)'
	-sh -c 'development_tools/e_install PROVER/ekb_insert   $(EXECPATH)'
	-sh -c 'development_tools/e_install CONTRIB/picosat-965/picosat $(EXECPATH)'
	-sh -c 'mkdir -p $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/eprover.1      $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/epclextract.1  $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/e_stratpar.1   $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/eground.1      $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/e_ltb_runner.1 $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/e_deduction_server.1 $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/e_axfilter.1   $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/checkproof.1   $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/ekb_create.1   $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/ekb_delete.1   $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/ekb_ginsert.1  $(MANPATH)'
	-sh -c 'development_tools/e_install DOC/man/ekb_insert.1   $(MANPATH)'


# Also remake documentation
remake: config rebuild documentation

README: README.md
	grep -v '```' README.md > README

documentation: README
	cd DOC; $(MAKE)

man: E
	mkdir -p DOC/man
	help2man -N -i DOC/bug_reporting PROVER/eprover      > DOC/man/eprover.1
	help2man -N -i DOC/bug_reporting PROVER/e_stratpar   > DOC/man/e_stratpar.1
	help2man -N -i DOC/bug_reporting PROVER/eground      > DOC/man/eground.1
	help2man -N -i DOC/bug_reporting PROVER/epclextract  > DOC/man/epclextract.1
	help2man -N -i DOC/bug_reporting PROVER/e_ltb_runner > DOC/man/e_ltb_runner.1
	help2man -N -i DOC/bug_reporting PROVER/e_deduction_server > DOC/man/e_deduction_server.1
	help2man -N -i DOC/bug_reporting PROVER/e_axfilter   > DOC/man/e_axfilter.1
	help2man -N -i DOC/bug_reporting PROVER/checkproof   > DOC/man/checkproof.1
	help2man -N -i DOC/bug_reporting PROVER/ekb_create   > DOC/man/ekb_create.1
	help2man -N -i DOC/bug_reporting PROVER/ekb_delete   > DOC/man/ekb_delete.1
	help2man -N -i DOC/bug_reporting PROVER/ekb_ginsert  > DOC/man/ekb_ginsert.1
	help2man -N -i DOC/bug_reporting PROVER/ekb_insert   > DOC/man/ekb_insert.1

# Build the single libraries
E: links
	@for subdir in $(CODE); do\
		cd $$subdir; touch Makefile.dependencies; $(MAKE); cd ..;\
	done;

J ?= 4
benchpress-quick:
	@echo "run provers on example problems..."
	benchpress run -j $(J) -c benchpress.sexp --task eprover-quick-test --progress

.PHONY: benchpress

=== BASICS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for BASICS.a library of generic data types and
# algorithms.
#
# Author: Stephan Schulz
#
# Created: Sun Jul  6 22:55:11 MET DST 1997
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = BASICS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@rm -f *.o  *.a

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the  library

BASIC_LIB = clb_error.o clb_memory.o clb_os_wrapper.o \
            clb_dstrings.o clb_verbose.o\
            clb_stringtrees.o clb_numtrees.o clb_numxtrees.o \
            clb_floattrees.o clb_pstacks.o\
            clb_pqueue.o clb_dstacks.o clb_ptrees.o clb_quadtrees.o\
            clb_regmem.o\
	    clb_objtrees.o clb_fixdarrays.o\
            clb_plist.o clb_pdarrays.o clb_pdrangearrays.o \
            clb_ddarrays.o clb_sysdate.o \
            clb_intmap.o \
            clb_simple_stuff.o clb_partial_orderings.o \
            clb_plocalstacks.o

$(LIB): $(BASIC_LIB)
	$(AR) $(LIB) $(BASIC_LIB)

include Makefile.dependencies

=== CLAUSES/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for clauses part of the clib library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Fri Mar 13 17:09:13 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = CLAUSES
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.a; rm *.o  *.a

# Services (provided by the master Makefile)

include ../Makefile.services

CLAUSE_LIB = ccl_ext_index.o ccl_neweval.o ccl_eqn.o ccl_eqnlist.o \
             ccl_clauseinfo.o ccl_clauses.o\
	     ccl_tformulae.o ccl_formula_wrapper.o ccl_formulasets.o \
	     ccl_f_generality.o ccl_sine.o ccl_garbage_coll.o ccl_tcnf.o \
             ccl_propclauses.o\
             ccl_tautologies.o ccl_clausepos.o ccl_clausecpos.o \
             ccl_pdtrees.o ccl_freqvectors.o \
             ccl_fcvindexing.o ccl_clausesets.o ccl_unfold_defs.o\
             ccl_clausefunc.o ccl_formulafunc.o ccl_groundconstr.o\
             ccl_grounding.o ccl_g_lithash.o ccl_axiomsorter.o \
	     ccl_findex.o ccl_clausepos_tree.o ccl_subterm_tree.o \
             ccl_subterm_index.o ccl_overlap_index.o ccl_relevance.o\
             ccl_inferencedoc.o ccl_derivation.o ccl_paramod.o ccl_factor.o\
	     ccl_eqnresolution.o\
             ccl_rewrite.o ccl_unit_simplify.o ccl_subsumption.o \
             ccl_condensation.o ccl_context_sr.o \
             ccl_def_handling.o ccl_splitting.o ccl_global_indices.o\
             ccl_satinterface.o\
             ccl_proofstate.o

$(LIB): $(CLAUSE_LIB)
	$(AR) $(LIB) $(CLAUSE_LIB)

include Makefile.dependencies

=== CONTRIB/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile
#
# This is the Makefile for contributed code of the E distribution. This is
# more convoluted than I like because it deals with PicoSat, which follows
# some conventions that are different frome the ones in E.
#
# Author: Stephan Schulz
#
# Created: Mon Nov 27 12:28:52 CET 2017
#
#------------------------------------------------------------------------

include ../Makefile.vars

PICOSAT = picosat-965

all: picosat

# Remove all automatically generated files

clean: $(PICOSAT)/Makefile
	cd $(PICOSAT); $(MAKE) clean
	@rm  -f *.a


# Services (provided by the master Makefile)

include ../Makefile.services

config:
	cd $(PICOSAT); ./configure.sh -t

$(PICOSAT)/makefile: $(PICOSAT)/makefile.in
	make config

picosat: $(PICOSAT)/makefile
	cd $(PICOSAT); $(MAKE); $(MAKE)
	@if [ ! -h CONTRIB.a ]; then\
	   $(LN) $(PICOSAT)/libpicosat.a CONTRIB.a;\
	fi;

=== CONTROL/Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 clean:
 	@touch does_exist.o does_exist.a; rm *.o  *.a
-	@echo Removed compiled files
 
 # Services (provided by the master Makefile)
 
@@ -36,7 +35,9 @@
 CONTROL_LIB = cco_simplification.o cco_factoring.o\
 	      cco_eqnresolving.o cco_paramodulation.o\
 	      cco_forward_contraction.o  cco_clausesplitting.o\
-              cco_proofproc.o
+              cco_interpreted.o\
+              cco_proofproc.o cco_proc_ctrl.o cco_batch_spec.o cco_einteractive_mode.o\
+	      cco_sine.o cco_esession.o cco_eserver.o cco_scheduling.o cco_ho_inferences.o
 
 $(LIB): $(CONTROL_LIB)
 	$(AR) $(LIB) $(CONTROL_LIB)

=== HEURISTICS/Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 clean:
 	@touch does_exist.o does_exist.a; rm *.o  *.a
-	@echo Removed compiled files
 
 # Services (provided by the master Makefile)
 
@@ -35,26 +34,43 @@
 
 HEURISTICS_LIB = che_wfcb.o che_wfcbadmin.o \
                  che_axiomscan.o \
-		 che_clausefeatures.o che_prio_funs.o \
-                 che_clausesetfeatures.o che_clauseweight.o \
+		 che_clausefeatures.o \
+	         che_prio_funs.o \
+                 che_clausesetfeatures.o \
+                 che_rawspecfeatures.o \
+                 che_specsigfeatures.o \
+	         che_clauseweight.o \
+	         che_dagweight.o \
                  che_refinedweight.o \
 		 che_varweights.o \
 		 che_funweights.o \
 		 che_orientweight.o \
 		 che_fifo.o che_lifo.o \
                  che_learning.o \
-                 che_simweight.o che_hcb.o \
+                 che_simweight.o \
+		 che_to_params.o \
+	         che_hcb.o \
                  che_litselection.o \
 	         che_proofcontrol.o \
 		 che_hcbadmin.o \
 		 che_heuristics.o \
                  che_fcode_featurearrays.o\
-		 che_to_weightgen.o che_to_precgen.o \
-		 che_to_autoselect.o
+		 che_to_weightgen.o \
+		 che_to_precgen.o \
+		 che_to_autoselect.o \
+                 che_axfilter.o \
+		 che_strucweight.o \
+	         che_prefixweight.o \
+	         che_treeweight.o \
+		 che_levweight.o \
+	         che_tfidfweight.o \
+	         che_termweights.o \
+		 che_termweight.o \
+	         che_random.o \
+                 che_diversityweight.o
 
 
 $(LIB): $(HEURISTICS_LIB)
 	$(AR) $(LIB) $(HEURISTICS_LIB)
 
 include Makefile.dependencies
-

=== LEARN/Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 clean:
 	@touch does_exist.o does_exist.a; rm *.o  *.a
-	@echo Removed compiled files
 
 # Services (provided by the master Makefile)

=== PROVER/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for E prover
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Tue Jun  9 01:29:39 MET DST 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = eprover e_ltb_runner e_stratpar e_deduction_server e_axfilter \
	  classify_problem epatternize e_client e_server\
          direct_examples epclanalyse epclextract checkproof eground\
          enormalizer edpll epcllemma \
          ekb_create ekb_insert ekb_ginsert ekb_delete $(EHOH)
LIB     = $(PROJECT)
all: $(LIB)

depend: *.c
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@rm -rf *.o $(PROJECT) *.dSYM termprops tsm_classify
	@rm -rf eprover-ho

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the programs

EPROVER = eprover.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/LEARN.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a  ../lib/CONTRIB.a

eprover: $(EPROVER)
	$(LD) -o eprover $(EPROVER) $(LIBS)

eprover-ho: eprover
	mv eprover eprover-ho

E_LTB_RUNNER = e_ltb_runner.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

e_ltb_runner: $(E_LTB_RUNNER)
	$(LD) -o e_ltb_runner $(E_LTB_RUNNER) $(LIBS)


E_STRATPAR = e_stratpar.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

e_stratpar: $(E_STRATPAR)
	$(LD) -o e_stratpar $(E_STRATPAR) $(LIBS)


E_DEDUCTION_SERVER = e_deduction_server.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

e_deduction_server: $(E_DEDUCTION_SERVER)
	$(LD) -o e_deduction_server $(E_DEDUCTION_SERVER) $(LIBS)


E_AXFILTER = e_axfilter.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

e_axfilter: $(E_AXFILTER)
	$(LD) -o e_axfilter $(E_AXFILTER) $(LIBS)

E_SERVER = e_server.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a

e_server: $(E_SERVER)
	$(LD) -o e_server $(E_SERVER) $(LIBS)

E_CLIENT = e_client.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

e_client: $(E_CLIENT)
	$(LD) -o e_client $(E_CLIENT) $(LIBS)


EGROUND = eground.o ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

eground: $(EGROUND)
	$(LD) -o eground $(EGROUND) $(LIBS)

ENORMALIZER = enormalizer.o ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

enormalizer: $(ENORMALIZER)
	$(LD) -o enormalizer $(ENORMALIZER) $(LIBS)


EDPLL = edpll.o ../lib/PROPOSITIONAL.a ../lib/CLAUSES.a\
        ../lib/ORDERINGS.a ../lib/TERMS.a ../lib/INOUT.a\
	../lib/BASICS.a ../lib/CONTRIB.a

edpll: $(EDPLL)
	$(LD) -o edpll $(EDPLL) $(LIBS)

CLASSIFY = classify_problem.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

classify_problem: $(CLASSIFY)
	$(LD) -o classify_problem $(CLASSIFY) $(LIBS)

EPATTERNIZE = epatternize.o ../lib/CONTROL.a ../lib/HEURISTICS.a\
            ../lib/LEARN.a\
            ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a\
            ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

epatternize: $(EPATTERNIZE)
	$(LD) -o epatternize $(EPATTERNIZE) $(LIBS)


# TERMPROPS = termprops.o ../lib/TERMS.a\
#             ../lib/INOUT.a ../lib/BASICS.a ../lib/PICOSAT.a

# termprops: $(TERMPROPS)
# 	$(LD) -o termprops $(TERMPROPS) $(LIBS)

DIRECT_EXAMPLES = direct_examples.o \
            ../lib/PCL2.a ../lib/CLAUSES.a ../lib/ORDERINGS.a \
            ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

direct_examples: $(DIRECT_EXAMPLES)
	$(LD) -o direct_examples $(DIRECT_EXAMPLES) $(LIBS)


EPCLANALYSE = epclanalyse.o \
        ../lib/PCL2.a ../lib/HEURISTICS.a ../lib/CLAUSES.a ../lib/ORDERINGS.a \
        ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

epclanalyse: $(EPCLANALYSE)
	$(LD) -o epclanalyse $(EPCLANALYSE) $(LIBS)


EPCLLEMMA = epcllemma.o \
        ../lib/PCL2.a ../lib/HEURISTICS.a ../lib/CLAUSES.a ../lib/ORDERINGS.a \
        ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

epcllemma: $(EPCLLEMMA)
	$(LD) -o epcllemma $(EPCLLEMMA) $(LIBS)


EPCLEXTRACT = epclextract.o \
        ../lib/PCL2.a ../lib/HEURISTICS.a ../lib/CLAUSES.a ../lib/ORDERINGS.a \
        ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

epclextract: $(EPCLEXTRACT)
	$(LD) -o epclextract $(EPCLEXTRACT) $(LIBS)

CHECKPROOF = checkproof.o \
        ../lib/PCL2.a ../lib/CLAUSES.a ../lib/ORDERINGS.a \
        ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

checkproof: $(CHECKPROOF)
	$(LD) -o checkproof $(CHECKPROOF) $(LIBS)

EKB_CREATE = ekb_create.o \
            ../lib/LEARN.a ../lib/CLAUSES.a \
            ../lib/ORDERINGS.a \
            ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

ekb_create: $(EKB_CREATE)
	$(LD) -o ekb_create $(EKB_CREATE) $(LIBS)

EKB_INSERT = ekb_insert.o \
            ../lib/LEARN.a ../lib/CLAUSES.a \
            ../lib/ORDERINGS.a \
            ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

ekb_insert: $(EKB_INSERT)
	$(LD) -o ekb_insert $(EKB_INSERT) $(LIBS)

EKB_GINSERT = ekb_ginsert.o \
	    ../lib/PCL2.a ../lib/LEARN.a ../lib/CLAUSES.a \
            ../lib/ORDERINGS.a \
            ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

ekb_ginsert: $(EKB_GINSERT)
	$(LD) -o ekb_ginsert $(EKB_GINSERT) $(LIBS)

EKB_DELETE = ekb_delete.o \
            ../lib/LEARN.a ../lib/CLAUSES.a \
            ../lib/ORDERINGS.a \
            ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

ekb_delete: $(EKB_DELETE)
	$(LD) -o ekb_delete $(EKB_DELETE) $(LIBS)

#TSM_CLASSIFY = tsm_classify.o \
#            ../lib/LEARN.a ../lib/CLAUSES.a \
#            ../lib/ORDERINGS.a \
#            ../lib/TERMS.a ../lib/INOUT.a ../lib/BASICS.a ../lib/CONTRIB.a

#tsm_classify: $(TSM_CLASSIFY)
#	$(LD) -o tsm_classify $(TSM_CLASSIFY) $(LIBS)


include Makefile.dependencies

=== SIMPLE_APPS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for simple applications build on top of (parts of)
#         CLIB.
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Fri Nov 28 00:25:20 MET 1997
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = ex_commandline term2dag
LIB     = $(PROJECT)
all: $(LIB)

depend: *.c
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@touch does_exist.o does_exist.dSYM does_exist.a $(PROJECT)
	@rm -r *.o $(PROJECT) *.dSYM *.a

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the test programs

TERM2DAG = term2dag.o ../lib/CLAUSES.a ../lib/TERMS.a  ../lib/ORDERINGS.a ../lib/INOUT.a ../lib/BASICS.a

term2dag: $(TERM2DAG)
	$(LD) -o term2dag $(TERM2DAG) $(LIBS)

EX_COMMANDLINE = ex_commandline.o ../lib/INOUT.a ../lib/BASICS.a

ex_commandline: $(EX_COMMANDLINE)
	$(LD) -o ex_commandline $(EX_COMMANDLINE) $(LIBS)

include Makefile.dependencies

=== TERMS/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the TERMS library
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Thu Sep 18 16:31:59 MET DST 1997
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = TERMS
LIB     = $(PROJECT).a

all: $(LIB)

depend: *.c *.h
	$(MAKEDEPEND)

# Remove all automatically generated files

clean:
	@rm -f *.o  *.a

# Services (provided by the master Makefile)

include ../Makefile.services

# Build the  library

TERM_LIB = cte_functypes.o cte_signature.o\
           cte_termtypes.o \
           cte_termvars.o cte_acterms.o\
           cte_varhash.o cte_varsets.o cte_termfunc.o cte_termtrees.o\
           cte_termcellstore.o\
           cte_termbanks.o cte_subst.o cte_termpos.o cte_termcpos.o \
           cte_replace.o cte_match_mgu_1-1.o cte_idx_fp.o cte_fp_index.o \
	   	   cte_simpletypes.o cte_typecheck.o cte_typebanks.o \
		   cte_termweightext.o cte_lambda.o

$(LIB): $(TERM_LIB)
	$(AR) $(LIB) $(TERM_LIB)

include Makefile.dependencies

=== development_tools/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the development_tools directory
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Tue Jan 13 01:16:22 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

all: $(LIB)

# Services (provided by the master Makefile)

include ../Makefile.services

=== debian/changelog ===
eprover (2.6+ds-3) unstable; urgency=medium

  * Complete d/copyright again.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Jul 2022 23:52:46 +0200

eprover (2.6+ds-2) unstable; urgency=medium

  * Complete d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 23:07:35 +0200

eprover (2.6+ds-1) unstable; urgency=low

  * Initial release (Closes: #1014159).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Jul 2022 08:56:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# not an autotools build system!

override_dh_auto_build:
	./configure --prefix=debian/tmp
	make rebuild
	make man

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds \
https://github.com/eprover/eprover/tags .*/E-(\d\S*)\.tar\.gz

## eprover 3.0.03+ds

=== CLAUSES/Makefile ===
--- 
+++ 
@@ -34,23 +34,23 @@
 
 CLAUSE_LIB = ccl_ext_index.o ccl_neweval.o ccl_eqn.o ccl_eqnlist.o \
              ccl_clauseinfo.o ccl_clauses.o\
-	     ccl_tformulae.o ccl_formula_wrapper.o ccl_formulasets.o \
-	     ccl_f_generality.o ccl_sine.o ccl_garbage_coll.o ccl_tcnf.o \
+	         ccl_tformulae.o ccl_formula_wrapper.o ccl_formulasets.o \
+	         ccl_f_generality.o ccl_sine.o ccl_garbage_coll.o ccl_tcnf.o \
              ccl_propclauses.o\
              ccl_tautologies.o ccl_clausepos.o ccl_clausecpos.o \
              ccl_pdtrees.o ccl_freqvectors.o \
              ccl_fcvindexing.o ccl_clausesets.o ccl_unfold_defs.o\
              ccl_clausefunc.o ccl_formulafunc.o ccl_groundconstr.o\
              ccl_grounding.o ccl_g_lithash.o ccl_axiomsorter.o \
-	     ccl_findex.o ccl_clausepos_tree.o ccl_subterm_tree.o \
+	         ccl_findex.o ccl_clausepos_tree.o ccl_subterm_tree.o \
              ccl_subterm_index.o ccl_overlap_index.o ccl_relevance.o\
              ccl_inferencedoc.o ccl_derivation.o ccl_paramod.o ccl_factor.o\
-	     ccl_eqnresolution.o\
+	         ccl_eqnresolution.o\
              ccl_rewrite.o ccl_unit_simplify.o ccl_subsumption.o \
              ccl_condensation.o ccl_context_sr.o \
              ccl_def_handling.o ccl_splitting.o ccl_global_indices.o\
              ccl_satinterface.o\
-             ccl_proofstate.o
+             ccl_proofstate.o ccl_bce.o ccl_pred_elim.o
 
 $(LIB): $(CLAUSE_LIB)
 	$(AR) $(LIB) $(CLAUSE_LIB)

=== CONTROL/Makefile ===
--- 
+++ 
@@ -36,11 +36,12 @@
 	      cco_eqnresolving.o cco_paramodulation.o\
 	      cco_forward_contraction.o  cco_clausesplitting.o\
               cco_interpreted.o\
-              cco_proofproc.o cco_proc_ctrl.o cco_batch_spec.o cco_einteractive_mode.o\
-	      cco_sine.o cco_esession.o cco_eserver.o cco_scheduling.o cco_ho_inferences.o
+              cco_proofproc.o cco_proc_ctrl.o cco_gproc_ctrl.o\
+              cco_batch_spec.o cco_einteractive_mode.o\
+	      cco_sine.o cco_esession.o cco_eserver.o cco_scheduling.o\
+	      cco_ho_inferences.o
 
 $(LIB): $(CONTROL_LIB)
 	$(AR) $(LIB) $(CONTROL_LIB)
 
 include Makefile.dependencies
-

=== DOC/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the DOC directory
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Tue Jan 13 01:16:22 MET 1998
#     New
#
#------------------------------------------------------------------------

include ../Makefile.vars

# Project specific variables

PROJECT = DOC
LIB     = eprover.pdf

all: $(LIB)

clean:
	@rm -f *.aux *.log *.dvi *.ps;

depend:
	echo "No dependencies for LaTeX documentation"

# Services (provided by the master Makefile)

include ../Makefile.services

DOC_LIB = *.tex

$(LIB): $(DOC_LIB)
	$(PDFLATEX) eprover.tex
	#$(BIBTEX) eprover
	$(PDFLATEX) eprover.tex

=== PYTHON/Makefile ===
#------------------------------------------------------------------------
#
# File  : Makefile for the PYTHON directory
#
# Author: Stephan Schulz
#
# Changes
#
# <1> Tue Jan 13 01:16:22 MET 1998
#     New
#
#------------------------------------------------------------------------

.PHONY: tags all tools

include ../Makefile.vars

# Project specific variables

all: $(LIB)

# Services (provided by the master Makefile)

include ../Makefile.services

ptags:
	etags *.py

tools:
	@echo "Configuring tools"
	../development_tools/configure_tools

=== SIMPLE_APPS/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 # Build the test programs
 
-TERM2DAG = term2dag.o ../lib/CLAUSES.a ../lib/TERMS.a  ../lib/ORDERINGS.a ../lib/INOUT.a ../lib/BASICS.a
+TERM2DAG = term2dag.o ../lib/TERMS.a ../lib/CLAUSES.a ../lib/ORDERINGS.a ../lib/TERMS.a  ../lib/INOUT.a ../lib/BASICS.a
 
 term2dag: $(TERM2DAG)
 	$(LD) -o term2dag $(TERM2DAG) $(LIBS)

=== debian/changelog ===
eprover (3.0.03+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix clean target (Closes: #1044847).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 12 Dec 2023 15:15:05 +0100

=== debian/control ===
Source: eprover
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: math
Priority: optional
Standards-Version: 4.6.1
Homepage: https://eprover.org
Build-Depends: debhelper-compat (= 13), help2man, picosat
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/math-team/eprover.git
Vcs-Browser: https://salsa.debian.org/math-team/eprover

Package: eprover
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends}
Description: Equational theorem prover
 This package provides tools to prove equational theorems:
 from a mathematical specification in many-sorted first-order
 logic with equality and an hypothesis/conjecture, it
 will look for a proof.

## eprover 3.2.0+ds

=== debian/changelog ===
eprover (3.2.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 08:01:15 +0200

eprover (3.1.0+ds-2) unstable; urgency=medium

  * Move executables to /usr

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Jun 2024 09:51:19 +0200

eprover (3.1.0+ds-1) unstable; urgency=medium

  * Drop unused patch to simplify the Makefile.
  * New upstream release.
  * Bump standards-version to 4.7.0.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 May 2024 15:58:03 +0200
